Package Test

# Class BLayout

java.lang.Object
java.awt.GridBagConstraints
Test.BLayout

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class BLayout extends GridBagConstraints

Pour creer un layout de type GridBagLayout rapidement avec les methodes simplifier.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`filler`
`Insets`
`padding`
`int`
`padding_bottom`
`int`
`padding_left`
`int`
`padding_right`
`int`
`padding_top`
`int`
`positionOnScreen`
`int`
`PositionOnX`
`int`
`PositionOnY`
`double`
`sizeOnX`
`double`
`sizeOnY`
`int`
`takeCaseOnX`
`int`
`takeCaseOnY`

### Fields inherited from class java.awt.GridBagConstraints

`ABOVE_BASELINE, ABOVE_BASELINE_LEADING, ABOVE_BASELINE_TRAILING, anchor, BASELINE, BASELINE_LEADING, BASELINE_TRAILING, BELOW_BASELINE, BELOW_BASELINE_LEADING, BELOW_BASELINE_TRAILING, BOTH, CENTER, EAST, fill, FIRST_LINE_END, FIRST_LINE_START, gridheight, gridwidth, gridx, gridy, HORIZONTAL, insets, ipadx, ipady, LAST_LINE_END, LAST_LINE_START, LINE_END, LINE_START, NONE, NORTH, NORTHEAST, NORTHWEST, PAGE_END, PAGE_START, RELATIVE, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, weightx, weighty, WEST`

## Constructor Summary

Constructors
Constructor
Description
`BLayout()`
`BLayout(int positionX, int positionY, int manyCaseX, int manyCaseY, double sizeX, double sizeY, Insets pad, int positionOnScreen, int filling)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAnchor(int by)`
Mettre une ancre.
`void`
`setFill(int by)`
Mettre un remplissage.
`void`
`setPadding(Insets by)`
Mettre un padding.
`void`
`setPositionX(int by)`
Changer le cuseur en x.
`void`
`setPositionY(int by)`
Changer le cuseur en y.
`void`
`setSizeX(double by)`
Mettre sa taille en x.
`void`
`setSizeY(double by)`
Mettre sa taille en y.
`void`
`setTakeCaseOnX(int by)`
Changer la place occupe en x.
`void`
`setTakeCaseOnY(int by)`
Changer la place occupe en y.

### Methods inherited from class java.awt.GridBagConstraints

`clone`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PositionOnX

public int PositionOnX

### PositionOnY

public int PositionOnY

### takeCaseOnX

public int takeCaseOnX

### takeCaseOnY

public int takeCaseOnY

### sizeOnX

public double sizeOnX

### sizeOnY

public double sizeOnY

### padding_top

public int padding_top

### padding_left

public int padding_left

### padding_bottom

public int padding_bottom

### padding_right

public int padding_right

### padding

public Insets padding

### positionOnScreen

public int positionOnScreen

### filler

public int filler

## Constructor Details

### BLayout

public BLayout()

### BLayout

public BLayout(int positionX, int positionY, int manyCaseX, int manyCaseY, double sizeX, double sizeY, Insets pad, int positionOnScreen, int filling)

Parameters:
  `positionX` - Position en X.
  `positionY` - Position en y.
  `manyCaseX` - Combien le component prend de case en x.
  `manyCaseY` - Combien le component prend de case en y.
  `sizeX` - Taille en double en x.
  `sizeY` - Taille en double en y.
  `pad` - Le padding.
  `positionOnScreen` - La position sur la frame (centre, north etc...).
  `filling` - Remplissage (H, V, B).

## Method Details

### setPositionX

public void setPositionX(int by)
Changer le cuseur en x.

Parameters:
  `by` - par quoi

### setPositionY

public void setPositionY(int by)
Changer le cuseur en y.

Parameters:
  `by` - par quoi

### setTakeCaseOnX

public void setTakeCaseOnX(int by)
Changer la place occupe en x.

Parameters:
  `by` - par quoi

### setTakeCaseOnY

public void setTakeCaseOnY(int by)
Changer la place occupe en y.

Parameters:
  `by` - par quoi

### setSizeX

public void setSizeX(double by)
Mettre sa taille en x.

Parameters:
  `by` - par quoi

### setSizeY

public void setSizeY(double by)
Mettre sa taille en y.

Parameters:
  `by` - par quoi

### setPadding

public void setPadding(Insets by)
Mettre un padding.

Parameters:
  `by` - par quoi

### setAnchor

public void setAnchor(int by)
Mettre une ancre.

Parameters:
  `by` - par quoi

### setFill

public void setFill(int by)
Mettre un remplissage.

Parameters:
  `by` - par quoi